summaryrefslogtreecommitdiffstats
path: root/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild')
-rwxr-xr-xsource/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
index 2e71d8a76..86ed0a680 100755
--- a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
+++ b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gsettings-desktop-schemas
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,6 +77,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Don't override font defaults with fonts that we don't have:
+zcat $CWD/gsettings-desktop-schemas.font.defaults.diff.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build